<nav class="navbar navbar-expand-lg bg-light indigo-200">
  <div class="container">
    <a class="navbar-brand" href="#">Frontend Developer</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation" (click)="collapse.toggle()" [attr.aria-expanded]="!isCollapsed" aria-controls="collapseExample">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="offcanvas offcanvas-end" tabindex="-1" id="offcanvasNavbar" aria-labelledby="offcanvasNavbarLabel" #collapse="ngbCollapse" [(ngbCollapse)]="isCollapsed">
      <div class="offcanvas-header">
        <h5 class="offcanvas-title" id="offcanvasNavbarLabel">Menu</h5>
        <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close" (click)="collapse.toggle()" [attr.aria-expanded]="!isCollapsed"></button>
      </div>
      <div class="offcanvas-body">
        <ul class="navbar-nav justify-content-end flex-grow-1 pe-3">
          <li class="nav-item" *ngIf="isLogin">
            <a class="nav-link " aria-current="page" href="#" routerLink="/employee/index">Employee</a>
          </li>
          <li class="nav-item" *ngIf="isLogin">
            <a class="nav-link " aria-current="page" href="" (click)="logout()">Logout</a>
          </li>
          <li class="nav-item" *ngIf="!isLogin">
            <a class="nav-link " aria-current="page" href="" routerLink="/login">Login</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item" *ngIf="isLogin">
          <a class="nav-link " aria-current="page" href="#" routerLink="/employee/index">Employee</a>
        </li>
        <li class="nav-item" *ngIf="isLogin">
          <a class="nav-link " aria-current="page" href="" (click)="logout()">Logout</a>
        </li>
        <li class="nav-item" *ngIf="!isLogin">
          <a class="nav-link " aria-current="page" href="" routerLink="/login">Login</a>
        </li>
      </ul>
    </div>
  </div>
</nav>

<router-outlet></router-outlet>
